Package Details: kodi-addon-pvr-iptvsimple 19.0.2-1

Git Clone URL: https://aur.archlinux.org/kodi-addon-pvr-iptvsimple.git (read-only, click to copy)
Package Base: kodi-addon-pvr-iptvsimple
Description: IPTV Simple PVR client addon for Kodi
Upstream URL: https://github.com/kodi-pvr/pvr.iptvsimple
Licenses: GPL
Groups: kodi
Conflicts: kodi-addon-pvr-iptvsimple-git
Submitter: thepasto
Maintainer: thepasto
Last Packager: thepasto
Votes: 30
Popularity: 0.145872
First Submitted: 2017-02-11 18:15
Last Updated: 2021-10-28 16:55

Pinned Comments

thepasto commented on 2019-10-05 17:13

This package will follow the STABLE kodi release

Latest Comments

1 2 3 4 Next › Last »

ivanich commented on 2021-08-28 13:41

Please add aarch64, I can confirm it builds and works fine on aarch64

ghen commented on 2021-05-10 06:48

Upstream version 7.6.4 fixes this: https://github.com/kodi-pvr/pvr.iptvsimple/commit/9a0a253d8385ef9fb1aaa809bddb72017be3d369

dobo commented on 2021-05-05 16:11

Can we apply following patch (or something similar disabling _GLIBCXX_ASSERTIONS) to the PKGBUILD until the issue is fixed upstream?

diff --git a/PKGBUILD b/PKGBUILD
index 5e0aa06..1fa8cd5 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: thepasto <thepasto@gmail.com>
 pkgname=kodi-addon-pvr-iptvsimple
 pkgver=7.6.2
-pkgrel=1
+pkgrel=2
 pkgdesc='IPTV Simple PVR client addon for Kodi'
 _koditarget=Matrix
 _gitname=pvr.iptvsimple
@@ -31,6 +31,9 @@ build() {
         mkdir -p "pvr.iptvsimple-${pkgver}-${_koditarget}/build"
         cd "pvr.iptvsimple-${pkgver}-${_koditarget}/build"

+        CFLAGS="$CFLAGS -Wp,-U_GLIBCXX_ASSERTIONS"
+        CXXFLAGS="$CXXFLAGS -Wp,-U_GLIBCXX_ASSERTIONS"
+
         cmake \
                 -DCMAKE_INSTALL_PREFIX=/usr \
                 -DCMAKE_INSTALL_LIBDIR=/usr/lib/kodi \
(END)

ghen commented on 2021-05-04 06:42

Please see previous comments and build without -D_GLIBCXX_ASSERTIONS for now (new flag in /etc/makepkg.conf).

costancho commented on 2021-05-03 21:26

This addon crashes my Kodi 19 after installed.

ghen commented on 2021-04-26 20:55

You can probably just add -D_GLIBCXX_ASSERTIONS=0 to the cmake arguments in the PKGBUILD, but it's better to have the underlying issue fixed upstream.

ghen commented on 2021-04-26 10:25

No, not x86_64 only, someone just reported the same issue on armv7h: https://github.com/kodi-pvr/pvr.iptvsimple/issues/507#issuecomment-826639656

finalduty commented on 2021-04-26 07:45

Can we disable GLIBCXX_ASSERTIONS for this particular package? Another question, is this applicable only for x86_64 builds?

I was able to get v7.6.1 working again with Kodi 19 by commenting out the -D_GLIBCXX_ASSERTIONS option in /etc/makepkg.conf from the CFLAGS option block (line 40 to 43 on my system). I'm not sure what impact this may have on other things being built, so make sure you keep a backup and roll it back after you've rebuilt. ymmv

ivanich commented on 2021-04-12 11:46

FYI: this addon segfaults when built with -D_GLIBCXX_ASSERTIONS, a default flag since pacman/makepkg 3.2.2-3 (currently in testing). Upstream bug report: https://github.com/kodi-pvr/pvr.iptvsimple/issues/507

Can we disable GLIBCXX_ASSERTIONS for this particular package? Another question, is this applicable only for x86_64 builds?

ghen commented on 2021-04-12 09:53

FYI: this addon segfaults when built with -D_GLIBCXX_ASSERTIONS, a default flag since pacman/makepkg 3.2.2-3 (currently in testing). Upstream bug report: https://github.com/kodi-pvr/pvr.iptvsimple/issues/507